## debian-edu 0.817

=== Makefile ===
#!/usr/bin/make -f

# TARGET_DIST is one of stable, sarge, etch, terra, unstable, or any other available
# sources.list file available
TARGET_DIST := $(shell head -1 debian/changelog |awk '{print $$3}'|tr -d ';')
SOURCELIST := ./sources.list.$(TARGET_DIST)

all: debian-edu-tasks.desc debian/control

debian/control: gen-control debian/control.stub debian/changelog tasks/* $(SOURCELIST)
	(cat debian/control.stub; \
	 ./gen-control -s $(SOURCELIST) -D -c -m -i -A) > $@.new && mv $@.new $@

tasksel: debian-edu-tasks.desc
debian-edu-tasks.desc: gen-control tasks/* $(SOURCELIST) debian/changelog
	./gen-control -s $(SOURCELIST) -t -A > debian-edu-tasks.desc.new && mv debian-edu-tasks.desc.new debian-edu-tasks.desc

packages.txt: gen-control tasks/* $(SOURCELIST)
	./gen-control -s $(SOURCELIST) -a > packages.txt.$$$$ && mv packages.txt.$$$$ packages.txt

avoidpackages.txt: gen-control tasks/* $(SOURCELIST)
	./gen-control -s $(SOURCELIST) -e > avoidpackages.txt.$$$$ && mv avoidpackages.txt.$$$$ avoidpackages.txt

by_vote:
	rm -f by_vote
	wget http://developer.skolelinux.no/popcon/by_vote

packages-sorted.txt: packages.txt by_vote
	for pkg in `cat packages.txt` ; do \
		grep " $$pkg " by_vote ; \
	done | LANG=C sort -r -n -k 4 -k 3 > packages-sorted.txt
usage: packages-sorted.txt

clean: 
	rm -rf tmp
	rm -f tasks/*~a
	rm -rf tasksel
	rm -f packages.txt by_vote packages-sorted.txt

=== debian/changelog ===
debian-edu (0.817) unstable; urgency=low

  [ Lior Kaplan ]
  * Add Hebrew support to standalone task.

  [ Steffen Joeris ]
  * Reduce stars from Recommends to Suggests in the astronomy task,
    because it will be removed from debian (Closes: #429301)

  [ Petter Reinholdtsen ]
  * common task:
    - Recommend debsecan to make list of open security issues
      easily available.
  * networking task:
    - Ignore ocsinventory-agent to get it on the DVD.  It is an
      alternative to sitesummary.
  * standalone task:
    - Add packages needed for japanese desktop (fonts, etc) as
      recommends and suggests.
    - Start on section for Dzongkha support, currently ignored to
      get them on the DVD.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 23 Jun 2007 10:58:47 +0100

debian-edu (0.816) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Reduce difference to Ubuntu package by adding sources.list.gutsy.
  * common task:
    - Add suggests on kexec-tools to allow fast reboots.
    - Avoid all non-free packages currently on the DVD (crafty,
      festlex-oald, fglrx-driver, gcc-4.1-doc, gcc-doc-base,
      gnupg-doc, scilab, scilab-bin, sun-java5-bin, sun-java5-jre,
      sun-java5-plugin, ttf-kochi-gothic-naga10,
      ttf-kochi-mincho-naga10) while we wait for someone to conclude
      which of the non-free packages are OK to distribute on our CD.
      Related to Skolelinux bug #1138.
    - Recommend gdebi, making it easy to install local .debs.
    - Depend on rwho and rwhod to make it easier to see if the server and
      services are in use.
  * laptop task:
    - Promote the unison package from ignore to suggests, to get it
      included on the multiarch DVD.
    - Update the package list for wifi configuration to only list
      network-manager related packages.  Dropped wlassasistant and kwlan.
  * standalone task:
    - Promote the board game atlantic, atlantikdesigner and monopd
      from ignore to suggest, as atlatic hav 20% votes on popcon.
    - Promote scribus from suggests to recommends, it is installed on
      50% of the population and used by 17%.
    - Promote tuxpaint and tuxpaint-config from suggests to
      recommends.  tuxpaint is installed by 53% of the population, and
      used by 33%.
    - Promote tablix-related packages from ignore to suggests, to get them
      included on the multiarch DVD.
    - Dropped obsolete package opera.
    - Recommend sane-utils and quiteinsane, to get better scanner
      support out of the box.
    - Add rsibreak, to provide tool to keep computer users more healthy.
    - Drop obsolete package mrproject, and only suggest planner.
  * thin-client-server task:
    - Recommend tftp, to make it easier to debug tftp problems.
  * desktop-other task:
    - Dropped obsolete package amaya-lesstif.
    - Drop obsolete package mrproject, and only suggest planner.
  * desktop-gnome task:
    - Dropped obsolete package amaya-gtk.

  [ Klaus Ade Johnstad ]
  * common task:
   - Added debian-edu-doc to be installed as default

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 16 Jun 2007 15:21:46 +0100

debian-edu (0.815) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Moved kde-i18n-ptbr from ignore to suggests after request to
    debian-edu@l.d.o.
  * Updated the ignored lists of KDE, openoffice.org and iceweasel
    translations and make sure they are complete.
  * Ignore the translated gimp help, to get it on the DVD.
  * common task:
   - Upgrade libpam-foreground from recommends to depends.  It is needed
     for local and hotplug device access.
   - Suggest fail2ban to protect ssh and other services from attack.
   - Moved cpufrequtils here from the laptop task to save power on
     all machines.
   - Drop depend on obsolete locale-config-skolelinux.
   - Add scsiadd to the list of sysadmin tools.
  * standalone task:
   - Ignore tablix2 and gtablix to get them on the DVD.
   - Add the packages needed by gnash to play youtube videos as recommends.
   - Move all iceweasel related packages from desktop-kde to the standalone task.
     Upgrade icewasel and selected translations to recommends, to get it installed
     when using the DVD.
   - Added texlive alternatives to tetex.  Not sure I got the right
     packages. (Closes: #419163)
  * laptop task:
   - Add several laptop related packages as Ignores while we
     evaluate which to install by default.
  * geography task:
   - Suggest kgeography, qgis, gmt, thuban, earth3d to make some map related
     tools more known. (Closes: #426372)

  [ Holger Levsen ]
  * Updated maintainer address.
  * Moved debian-edu-artwork-usplash from the standalone to the common
    task to have a fancier boot process on every machine.

  [ Ronny Aasen ]
  * Changed nbd-server to depends, to get it installed as default.
  * Upgraded slbackup-php to reccomends to get it installed by default.
  * Removed ltspfsd from thin-client-server task. Its for the chroot only.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 29 May 2007 09:04:28 +0200

debian-edu (0.814) unstable; urgency=low

  [ Patrick Winnertz ]
  * Add lwat to main-server task
  * Replace Recommends with Suggests for all *cipux* packages, since
    they do not exist
  * Added icewasel with some language packs to the desktop-kde task
  * Added links as textmode browser to the main-server task
  * Added italc-* as a Suggest to the thin-client-server task, because it is
    a very nice tool for schools

  [ Steffen Joeris ]
  * common task:
   - Reduce recommends against cfengine-doc to suggests to save more
     space
   - Reduce recommends against debian-edu-doc to suggests as the
     package is not yet released
  * misc task:
   - Add blinken to the depends list
  * desktop-other task:
   - Remove the dependency against the kdeedu metapackage, we depend
     against the individual binary packages
   - Remove the old webmin cruft which is no longer available in debian
  * standalone task:


=== debian/control ===
Source: debian-edu
Section: misc
Priority: extra
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Raphael Hertzog <hertzog@debian.org>, Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Joey Hess <joeyh@debian.org>, Morten Werner Olsen <werner@debian.org>, Luk Claes <luk@debian.org>, Holger Levsen <holger@debian.org>, Steffen Joeris <white@debian.org>
Build-Depends: debhelper (>= 4)
Standards-Version: 3.7.2

Package: education-tasks
Architecture: any
Depends: tasksel (>= 2.07)
Description: Debian Edu tasks for tasksel
 This package provides Debian Edu tasks in tasksel.

Package: education-astronomy
Architecture: any
Depends: education-tasks
Recommends: kstars, spacechart, starplot, sunclock, xplanet, xplanet-images, xtide, xtide-data
Suggests: celestia, gstar, stars, stellarium, xephem
Description: DebianEdu astronomy related applications
 This metapackage depends on various applications that can be used to
 teach astronomy.

Package: education-chemistry
Architecture: any
Depends: education-tasks
Recommends: chemtool, gperiodic, kalzium, rasmol
Suggests: lum, mek, xem, xpovchem
Description: DebianEdu chemistry related applications
 This metapackage depends on various applications that can be used to
 teach chemistry.

Package: education-common
Architecture: any
Depends: education-tasks
Recommends: apt-listchanges, bc, bind9-host, cfengine2, cpufrequtils, dash, debconf-utils, debian-archive-keyring, debian-edu-archive-keyring, debian-edu-artwork-usplash, debsecan, dmidecode, eject, emacs21, etherwake, ethtool, finger, gdebi, hdparm, hwinfo, iftop, iproute, iputils-arping | arping, less, libpam-foreground, libpam-ssh, libwww-perl, localization-config, lsscsi, lvm2, man-db, manpages, mdetect, mii-diag, mtools, ncftp, ng-utils, nictools-pci, nmap, nscd, nullidentd, openssh-client, openssh-server, pciutils, popularity-contest, procinfo, procmail, psmisc, read-edid, reportbug, resolvconf, rsync, rwho, rwhod, scsiadd, ssh, strace, sudo, sysfsutils, sysutils, tcpdump, tcptraceroute, traceroute, udev, vim, wget, wireshark | ethereal, xdebconfigurator
Suggests: apticron | cron-apt, arrayprobe, cfengine, cfengine-doc, cfengine2-doc, chkconfig, cpqarrayd, debian-edu-config, debian-edu-doc, debian-edu-install, debian-goodies, dpt-raidutil, fail2ban, hwdata, ident-server, isag, kexec-tools, kudzu, libpam-devperm, libpam-tmpdir, modconf, mpt-status, nictools-nopci, nvram-wakeup, raidutils
Description: DebianEdu common packages
 A metapackage containing dependencies for packages required on all
 installations in the DebianEdu custom Debian distribution.

Package: education-desktop-gnome
Section: gnome
Architecture: any
Depends: education-tasks
Recommends: gaim, gdm, gnome-desktop-environment, mozilla-firefox-gnome-support
Suggests: abiword, bluefish, ekiga | gnomemeeting, epiphany-browser, esound, evolution | balsa, gcalctool, gnome-games, gnome-media, gnome-themes, gnumeric, nautilus-cd-burner
Description: DebianEdu GNOME desktop applications
 This metapackage depends on various GNOME office and desktop applications
 that are useful for teachers and their students.

Package: education-desktop-kde
Section: kde
Architecture: any
Depends: education-tasks
Recommends: ark, kaddressbook, kaddressbook-plugins, kcalc, kcharselect, kde-i18n-de, kde-i18n-el, kde-i18n-es, kde-i18n-fr, kde-i18n-it, kde-i18n-lv, kde-i18n-nb, kde-i18n-nn, kde-i18n-ptbr, kde-i18n-se, kdebase, kdegraphics-kfile-plugins, kdemultimedia-kio-plugins, kdepasswd, kdepim-kio-plugins, kdf, kdict, kdm, kghostview, kmail, kmix, konq-plugins, konqueror, konsole, korganizer, kscreensaver, ksirc, ksmserver, ksnapshot, kwin, menu, menu-xdg
Suggests: kate, kate-plugins, kde, kde-i18n-no, kde-i18n-nony, kdeaddons-kfile-plugins, kdeedu, kdepim-kfile-plugins, kfilereplace, kfind, kiconedit, kmid, kmidi, koffice, koffice-doc-html, koffice-i18n-da, koffice-i18n-de, koffice-i18n-el, koffice-i18n-es, koffice-i18n-fr, koffice-i18n-it, koffice-i18n-lv, koffice-i18n-nb, koffice-i18n-nn, koffice-i18n-no, koffice-i18n-nony, koffice-i18n-se, kpaint, kpm, krecord, kruler, kschoolmenu, kview, noatun, noatun-plugins, x-window-manager
Description: DebianEdu KDE desktop applications
 This metapackage depends on various KDE office and desktop applications
 that are useful for teachers and their students.

Package: education-desktop-other
Architecture: any
Depends: education-tasks
Recommends: aptitude, artsbuilder, cvs, denemo, dia, education-workstation, gcompris, gettext, gimp-data-extras, gnupg2 | gnupg, gperiodic, gv, iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish, kalzium, kbabel, kgeography, kig, konq-plugins, konqueror, kpackage, kpercentage, kseg, kstars, kword, netpbm, noteedit, ogle-gui, quanta, sane, smbclient, solfege, xine-ui, xplanet, xsane
Suggests: autoconf, blender, celestia, cvsbook, dbdesigner, ddd, drgenius, drgeo, g++, gcc, gdb, geg, ghostview, gimp1.2, gnomemeeting, gnumeric, gnupg-doc, gnuplot, kbear, kchart, kde-i18n-ca, kde-i18n-da, kde-i18n-de, kde-i18n-el, kde-i18n-es, kde-i18n-fr, kde-i18n-it, kde-i18n-lv, kde-i18n-nb, kde-i18n-nl, kde-i18n-nn, kde-i18n-no, kde-i18n-nony, kde-i18n-se, kernel-package, keuklid, kformula, kgeo, kgraph, kivio, klearnspelling, klogic, kmail, kmidi, kmplot, kmultiply, knode, knorskverbs, koffice, kontour, koshell, kpaint, kpresenter, ksirc, kspread, ktouch, kugar, kverbos, libncurses5-dev, lightspeed, make, mgp, ncftp, openoffice.org, opera, planner, postgresql-client, qcad, qtcups, rdesktop, sodipodi, sql-ledger, ted, timidity-patches, ucblogo, wget, wine, wine-doc, wine-utils, winesetuptk, xine-dvdnav, xmms, xmms-cdread, yacas
Description: DebianEdu desktop applications (non-GNOME and non-KDE)
 This metapackage depends on various office and desktop applications
 that are useful for teachers and their students.

Package: education-electronics
Architecture: any
Depends: education-tasks
Recommends: electric, ksimus, ksimus-boolean, ksimus-datarecorder, ksimus-floatingpoint, oregano, pcb, vipec, xcircuit
Description: DebianEdu electronics related applications
 This metapackage depends on various applications that can be used to
 teach electronics.

Package: education-geography
Architecture: any
Depends: education-tasks
Suggests: earth3d, gmt, grass, kgeography, qgis, thuban
Description: DebianEdu applications for geography
 This metapackage depends on various applications that can be used
 to teach geography.

Package: education-graphics
Architecture: any
Depends: education-tasks
Recommends: dia-gnome, qcad, tgif, xaos, xfig, xpaint
Suggests: blender, gimp1.2, kontour, panorama, sketch
Description: DebianEdu graphics related applications
 This metapackage depends on various applications that can be used to
 teach graphics and pictural art.

Package: education-language
Architecture: any
Depends: education-tasks
Recommends: aspell, dict, gnome-utils, i2e, khangman, kiten, klatin, klettres, ktouch, kverbos, kvoctrain, lletters, tipptrainer, trans-de-en, tuxtype, typespeed, wordnet, wordtrans-data, wordtrans-kde
Suggests: festival, hanzim, kmessedwords, kwordquiz, wordtrans-console
Description: DebianEdu language related educational applications
 This metapackage depends on various applications that can be used to
 teach a (foreign) language. It includes some typing applications.

Package: education-laptop
Architecture: any
Depends: education-tasks
Recommends: acpi, acpi-support, acpid, anacron, apmd, hibernate, hotkey-setup, laptop-mode-tools, network-manager-kde | network-manager, pcmcia-cs, uswsusp, wireless-tools, xfree86-driver-synaptics
Suggests: bluetooth, bluez-cups, bluez-pin, bluez-utils, kdebluetooth, unison
Description: DebianEdu laptop packages
 A metapackage containing dependencies for packages required on all
 laptop installations in the DebianEdu custom Debian distribution.

Package: education-logic-games
Architecture: any
Depends: education-tasks
Recommends: cgoban, gnome-games, gnuchess, gnugo, gtans, ksokoban, xboard, xjig, xsok
Suggests: crafty
Description: DebianEdu logic games
 This metapackage depends on various logic games that can be used to
 teach logic to children.

Package: education-main-server
Architecture: any
Depends: education-tasks
Recommends: apache2 | apache, bind9, courier-imap-ssl, courier-ldap, db4.2-util, dhcp3-server | dhcp, education-networked, exim4-daemon-heavy, iptables, links, lwat, makepasswd, munin, nagios-plugins, nagios2 | nagios-text, nfs-kernel-server, ntp, openssl, samba, sitesummary, slapd, slbackup, slbackup-php, squid, tdb-tools
Suggests: apache-doc, bind9-doc, calamaris, chastity-list, cipux-cibot, cipux-common, cipux-profile, cipux-rpc, debian-edu-fr-all, debian-edu-fr-skels, dlint, dnswalk, dsh, ncs, nslint, ntp-refclock, ntp-simple, samba-doc, squidguard, webalizer, zone-file-check
Description: DebianEdu main server packages
 A metapackage containing dependencies for packages required on all
 main server installations in the DebianEdu custom Debian distribution.

Package: education-mathematics
Architecture: any
Depends: education-tasks
Recommends: drgeo, geg, gnuplot, grace, kig, kmplot, kpercentage, kseg, mathwar, maxima, octave, pari-gp, xabacus, xaos, xeukleides, yacas
Suggests: abakus, drgenius, k3dsurf, kalgebra, kbruch, kgeo, kregexpeditor, magicsquare, qliss3d, scilab, xarith, xeuklides
Description: DebianEdu mathematical applications
 This metapackage depends on various applications that can be used to
 teach mathematics, geometry, and statistics.

Package: education-misc
Architecture: any
Depends: education-tasks
Recommends: blinken, gcompris, keduca, tilp, vym
Suggests: flashkard, ggradebook, visualos
Description: DebianEdu miscellaneous applications for education
 This metapackage depends on miscellaneous applications that can be useful
 for teaching purpose.

Package: education-music
Architecture: any
Depends: education-tasks
Recommends: denemo, festival, gtick, lilypond, rosegarden, score-reading-trainer, solfege, xmms
Suggests: brahms
Description: DebianEdu music and sound applications
 This metapackage depends on various applications that can be used to
 teach music.

Package: education-networked
Architecture: any
Depends: education-tasks
Recommends: autofs-ldap, cupsys, education-common, foomatic-db-engine, foomatic-db-gutenprint, foomatic-filters-ppds, hpijs, hpijs-ppds, hplip, ijsgutenprint, libnss-ldap, libpam-ldap, munin-node, nfs-common, ntp, ntpdate, pnm2ppa, sitesummary-client
Suggests: cupsomatic-ppd, foo2zjs, krb5-user, libldap2-tls, libpam-mount, ntp-doc, ntp-refclock, ntp-simple, smbfs, winbind
Description: DebianEdu networked packages
 A metapackage containing dependencies for packages required on all
 networked installations (workstation and main-server, but not
 standalone) in the DebianEdu custom Debian distribution.

Package: education-physics
Architecture: any
Depends: education-tasks
Suggests: kturtle, lum, mek, xem, xoscope
Description: DebianEdu physics related applications
 This metapackage depends on various applications that can be used to
 teach physics.

Package: education-services
Architecture: any
Depends: education-tasks
Recommends: dansguardian
Suggests: wims
Description: DebianEdu services for educational institutions
 This metapackage depends on several applications providing useful
 infrastructure and services in an educational context: 
 e-learning services, online documentation repository,
 web content filter...

Package: education-standalone
Architecture: any
Depends: education-tasks

=== debian/rules ===
#!/usr/bin/make -f

debian/control: 
	$(MAKE) debian/control

build: 
	$(MAKE) debian/control
	dh_testdir
	$(MAKE) tasksel

clean: debian/control
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean 

install: debian/control build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install debian-edu-tasks.desc usr/share/tasksel
	mkdir -p $(CURDIR)/debian/education-standalone/usr/share/lintian/overrides
	install -m 644 debian/lintian.override $(CURDIR)/debian/education-standalone/usr/share/lintian/overrides/education-standalone

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -A README
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman
	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure debian/control

## debian-edu 0.824ubuntu2

=== debian/changelog ===
debian-edu (0.824ubuntu2) hardy; urgency=low

  * debian/control.stub: bump cdd-dev Build-Depends to 0.4.4ubuntu1 to fix
    FTBFS. debian/control is generated from debian/control.stub. 

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 04 Apr 2008 11:06:53 +0200

debian-edu (0.824ubuntu1) hardy; urgency=low

  [ James Westby ]
  * Rebuild with a patched version of cdd-dev that doesn't use cdd-common
    files in the postinst when we don't need them. Previously it would
    unconditionally use the files, which would lead to failures without
    cdd-common installed (LP: #190682).
    - Setting the build-dependency to ensure that we build with the fixed
      version.
    - These changes can be dropped after Hardy, when this and cdd can be
      synced from Debian.

  [ Daniel Holbach ]
  * debian/control.stub: Maintainer value to match the DebianMaintainerField
    specification.
  * Removed stray  python-gpod_0.6.0-2.1_i386.deb  lying in the source.

 -- James Westby <james.westby@canonical.com>  Thu, 03 Apr 2008 17:34:12 +0100

debian-edu (0.824) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * common task:
    - Avoid unwanted packages providing mail-transport-agent (xmail
      ssmtp smail sendmail-bin postfix nullmailer nbsmtp msmtp-mta
      masqmail esmtp-run courier-mta) to save space.
    - Move all excluded packages in the Etch build into an avoid block
      to avoid them in Lenny too.
    - Allow emacs22 as an alternnative to emacs21.
    - Fix typo making half a  long ignore list being ignored.
    - Add non-free package zd1211-firmware to avoid list until someone
      check the license to verify that we can distribute it.
  * desktop-kde:
    - Add Swedish KDE translation to the list of languages installed
      by default, on request from a Swedish user.
  * desktop-other:
    - Add Swedish OpenOffice.org and Iceweasel translation to the list
      of languages installed by default, on request from a Swedish
      user.
    - Recommend 'flashplugin-nonfree-extrasound | flashplugin-nonfree-pulse |
      libflashsupport' to prepare the system for sound from flash on thin
      clients.
  * language:
    - Suggests brazilian-conjugate, collatinus and verbiste-gnome
      proposed by Jakson Alves de Aquino (Closes: #445719).
  * Rebuilding for unstable drops gimp-print as recommended package
    (Closes: #448901).
  * Updated Standards-Version from 3.7.2 to 3.7.3.  No change needed.

  [ Patrick Winnertz ]
  * Added my debian address to uploaders

  [ Andreas Tille ]
  * Switched to cdd-dev by
    - Adding Build-Depends: cdd-dev (>= 0.4.1)
    - Replacing debian/rules by a simple one that just inserts the
      common cdd-dev rules file
    - Replacing Makefile by a simple one that just inserts the
      common cdd-dev Makefile
    - Removing gen-control which is obsoleted by cdd-gen-control

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 24 Jan 2008 10:06:51 +0100

debian-edu (0.823+svn38975) terra; urgency=low

  [ Morten Werner Forsbring ]
  * Changed my last name.
  * Fixed the URL to wiki.debian.org in README.
  
  [ Petter Reinholdtsen ]
  * common task:
    - Ignore much used packages amsn, memtester, tofrodos, xvncviewer,
      gocr, quota, cervisia, gphoto2, kcpuload, kompare and pwgen to
      get them on the DVD until we know if we want to install them as
      part of some task.
  * Move network-manager from the laptop task to the standalone task,
    as it only work with the user created by the installer until it
    uses at_console in the Skolelinux etch repository (Bug #426462).

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  9 Sep 2007 08:56:10 +0200

debian-edu (0.822) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * desktop-kde task:
    - Demote non-essential KDE packages (kcalc, ark, kghostview, kmail, kdf,
      kaddressbook, kcharselect, ksnapshot, korganizer and ksirc) from
      depends to recommends, trying to get all depended packages onto the CD
  * thin-client-server task:
    - Move desktop packages after all LTSP server packages, to make sure
      the server packages have higher priority.
  * common task:
    - Ignore tmpreaper, to put it on our list of prospective packages.
    - Drop obsolete sysutils package, as the procinfo package we
      want is already listed. (Closes: #437498)
  * networked task:
    - Move packages ng-utils, rwho and rwhod here from common task.  It is
      mostly useful in a networked setting.
  * desktop-other task:
    - Recommend vgrabbj, dvgrab, ffmpeg and fam used by stopmotion to
      process images.
    - Add kooka as the prefered scanner frontend, and ocrad to get OCR
      support.  Reduce xsane and quiteinsane to alternatives for kooka.
    - Suggests swfdec-mozilla, an alternative flash viewer.
  * laptop task:
    - Ignore build-essential, module-assistant, rt2x00-source,
      zd1211-source, nozomi-source, ndiswrapper-source,
      linux-wlan-ng-source to get the kernel drivers needed by
      some wireless network cards on the DVD.
  * main-server task:
    - Make nfs-server an alternative to the nfs-kernel-server, to
      support other NFS server implementations.

  [ Luk Claes ]
  * Remove myself from uploaders.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  9 Sep 2007 08:56:10 +0200

debian-edu (0.821) unstable; urgency=low

  * common task:
    - Promote debian-edu-doc from recommends to depends, to try to get
      it on the CDs as well.
    - Promote 'nullidentd | ident-server', etherwake and debsecan from
      recommends to depends, as they are very small, to try to get them
      on the CD as well.
    - Drop suggested package chkconfig from the task.  This package never
      made it into Debian, and it is probably better to use update-rc.d
      to modify the boot system.
  * networked task:
    - Move ldap-utils and gq here from workstation task, to have the
      LDAP client tools available on all networked hosts.  Demote


=== debian/control ===
Source: debian-edu
Section: misc
Priority: extra
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Raphael Hertzog <hertzog@debian.org>, Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Joey Hess <joeyh@debian.org>, Morten Werner Forsbring <werner@debian.org>, Holger Levsen <holger@debian.org>, Steffen Joeris <white@debian.org>, Patrick Winnertz <winnie@debian.org>
Build-Depends: debhelper (>= 4), cdd-dev (>= 0.4.4ubuntu1)
Standards-Version: 3.7.3

Package: education-tasks
Architecture: any
Depends: tasksel (>= 2.07)
Description: Debian Edu tasks for tasksel
 This package provides Debian Edu tasks in tasksel.

Package: education-astronomy
Architecture: any
Depends: education-tasks (= ${binary:Version})
Recommends: 
Suggests: celestia, gpredict, gstar, kstars, spacechart, ssystem, starplot, stars, stellarium, sunclock, xephem, xplanet, xplanet-images, xtide, xtide-data
Description: DebianEdu astronomy related applications
 This metapackage depends on various applications that can be used to
 teach astronomy.

Package: education-chemistry
Architecture: any
Depends: education-tasks (= ${binary:Version})
Recommends: 
Suggests: chemtool, easychem, gchempaint, gdis, ghemical, gperiodic, kalzium, lum, mek, pymol, rasmol, viewmol, xdrawchem, xem, xpovchem
Description: DebianEdu chemistry related applications
 This metapackage depends on various applications that can be used to
 teach chemistry.

Package: education-common
Architecture: any
Depends: education-tasks (= ${binary:Version})
Recommends: 
Suggests: apt-listchanges, apticron, arping, arrayprobe, bc, bind9-host, cfengine, cfengine-doc, cfengine2, cfengine2-doc, cpqarrayd, cpufrequtils, cron-apt, dash, debconf-utils, debian-archive-keyring, debian-edu-archive-keyring, debian-edu-artwork-usplash, debian-edu-config, debian-edu-doc, debian-edu-install, debian-goodies, debsecan, dmidecode, dpt-raidutil, eject, emacs21, emacs22, ethereal, etherwake, ethtool, fail2ban, finger, gdebi, hdparm, hwdata, hwinfo, ident-server, iftop, iproute, iputils-arping, isag, kexec-tools, kudzu, less, libpam-devperm, libpam-foreground, libpam-ssh, libpam-tmpdir, libwww-perl, localization-config, lsscsi, lvm2, man-db, manpages, mdetect, mii-diag, modconf, mpt-status, mtools, ncftp, nictools-nopci, nictools-pci, nmap, nscd, nullidentd, nvram-wakeup, openssh-client, openssh-server, pciutils, popularity-contest, procinfo, procmail, psmisc, raidutils, read-edid, reportbug, resolvconf, rsync, scsiadd, ssh, strace, sudo, sysfsutils, tcpdump, tcptraceroute, traceroute, udev, vim, wget, wireshark, xdebconfigurator
Description: DebianEdu common packages
 A metapackage containing dependencies for packages required on all
 installations in the DebianEdu custom Debian distribution.

Package: education-desktop-gnome
Section: gnome
Architecture: any
Depends: education-tasks (= ${binary:Version})
Recommends: 
Suggests: bluefish, ekiga, epiphany-browser, gaim, gdm, gedit, gnome, gnome-cups-manager, gnome-desktop-environment, gnome-utils, gnumeric, gtk-recordmydesktop, iceweasel-gnome-support, nvu
Description: DebianEdu GNOME desktop applications
 This metapackage depends on various GNOME office and desktop applications
 that are useful for teachers and their students.

Package: education-desktop-kde
Section: kde
Architecture: any
Depends: education-tasks (= ${binary:Version})
Recommends: 
Suggests: amarok, ark, digikam, gwenview, gwenview-i18n, kaddressbook, kaddressbook-plugins, kamera, kate-plugins, kcalc, kcharselect, kcron, kde, kde-i18n-ca, kde-i18n-da, kde-i18n-de, kde-i18n-el, kde-i18n-es, kde-i18n-fr, kde-i18n-it, kde-i18n-ja, kde-i18n-lv, kde-i18n-nb, kde-i18n-nl, kde-i18n-nn, kde-i18n-no, kde-i18n-nony, kde-i18n-ptbr, kde-i18n-se, kde-i18n-sv, kdeaccessibility, kdeaddons-kfile-plugins, kdebase, kdeedu, kdegraphics-kfile-plugins, kdemultimedia-kio-plugins, kdenetwork-kfile-plugins, kdepasswd, kdepim-kfile-plugins, kdepim-kio-plugins, kdeutils, kdewallpapers, kdf, kdict, kdm, kedit, kfilereplace, kfind, kfloppy, kghostview, kiconedit, kiosktool, kipi-plugins, kmail, kmid, kmidi, kmix, knode, knotes, koffice, koffice-doc-html, koffice-i18n-da, koffice-i18n-de, koffice-i18n-el, koffice-i18n-es, koffice-i18n-fr, koffice-i18n-it, koffice-i18n-lv, koffice-i18n-nb, koffice-i18n-nn, koffice-i18n-no, koffice-i18n-nony, koffice-i18n-se, konq-plugins, konqueror, konsole, korganizer, kpaint, kpilot, kpm, kpresenter, krecord, krita, kruler, kscd, kschoolmenu, kscreensaver, ksirc, ksmserver, ksnapshot, kspread, kuser, kview, kwin, kword, menu, menu-xdg, noatun, noatun-plugins, x-window-manager
Description: DebianEdu KDE desktop applications
 This metapackage depends on various KDE office and desktop applications
 that are useful for teachers and their students.

Package: education-desktop-other
Architecture: any
Depends: education-tasks (= ${binary:Version})
Recommends: education-astronomy, education-chemistry, education-desktop-kde | education-desktop-gnome, education-electronics, education-geography, education-graphics, education-language, education-logic-games, education-mathematics, education-misc, education-music, education-physics
Suggests: abakus, adept, alsa-base, alsa-utils, artsbuilder, aspell-he, atlantik, atlantikdesigner, auctex, autoconf, avahi-autoipd, avahi-daemon, avahi-discover, bzip2, celestia, culmus, cupsys-bsd, cupsys-client, cupsys-driver-gimpprint, cvs, dbdesigner, ddd, debian-edu-artwork, dhcdbd, dhcp-client, dhcp3-client, dia, drgenius, drgeo, dvgrab, earth3d, education-desktop, ekiga, fam, ffmpeg, firefox, firefox-locale-ca, firefox-locale-cy, firefox-locale-da-dk, firefox-locale-de, firefox-locale-el, firefox-locale-es-es, firefox-locale-eu, firefox-locale-fr-fr, firefox-locale-hu-hu, firefox-locale-it, firefox-locale-ja, firefox-locale-ko, firefox-locale-nb, firefox-locale-nn, firefox-locale-pl, firefox-locale-pt-br, firefox-locale-sl-si, firefox-locale-zh-cn, firefox-locale-zh-tw, flashplugin-nonfree, flashplugin-nonfree-extrasound, flashplugin-nonfree-pulse, foomatic-gui, g++, gaim, gcc, gcompris, gcompris-sound-cs, gcompris-sound-da, gcompris-sound-de, gcompris-sound-en, gcompris-sound-es, gcompris-sound-eu, gcompris-sound-fi, gcompris-sound-fr, gcompris-sound-hu, gcompris-sound-it, gcompris-sound-mr, gcompris-sound-nl, gcompris-sound-pt, gcompris-sound-ptbr, gcompris-sound-ru, gcompris-sound-so, gcompris-sound-sv, gcompris-sound-tr, gdb, geg, gettext, ghostview, gij-4.1, gimp, gimp-data-extras, gimp-print, gnome-themes, gnomemeeting, gnucap, gnuchess, gnupg, gnupg-agent, gnupg-doc, gnupg2, gnuplot, gperiodic, gsfonts-x11, gstreamer0.10-alsa, gstreamer0.10-audiosink, gstreamer0.10-ffmpeg, gstreamer0.10-fluendo-mp3, gstreamer0.10-plugins-base, gtablix, gtk2-engines-gtk-qt, gv, hspell, iamerican, ibrazilian, ibritish, icatalan, icedove, icedove-locale-ca, icedove-locale-de, icedove-locale-el, icedove-locale-fr, icedove-locale-it, icedove-locale-nb, icedove-locale-nn, iceweasel, iceweasel-l10n-af, iceweasel-l10n-ar, iceweasel-l10n-be, iceweasel-l10n-bg, iceweasel-l10n-ca, iceweasel-l10n-cs, iceweasel-l10n-cy-gb, iceweasel-l10n-da, iceweasel-l10n-de, iceweasel-l10n-dz-bt, iceweasel-l10n-el, iceweasel-l10n-en-gb, iceweasel-l10n-es-ar, iceweasel-l10n-es-es, iceweasel-l10n-et-ee, iceweasel-l10n-eu, iceweasel-l10n-fa-ir, iceweasel-l10n-fi, iceweasel-l10n-fr, iceweasel-l10n-fur-it, iceweasel-l10n-fy-nl, iceweasel-l10n-ga-ie, iceweasel-l10n-gu-in, iceweasel-l10n-he, iceweasel-l10n-hu, iceweasel-l10n-it, iceweasel-l10n-ja, iceweasel-l10n-ka, iceweasel-l10n-ko, iceweasel-l10n-ku, iceweasel-l10n-lt, iceweasel-l10n-mk, iceweasel-l10n-mn, iceweasel-l10n-nb-no, iceweasel-l10n-nl, iceweasel-l10n-nn-no, iceweasel-l10n-pa-in, iceweasel-l10n-pl, iceweasel-l10n-pt-br, iceweasel-l10n-pt-pt, iceweasel-l10n-ro, iceweasel-l10n-roa-es-val, iceweasel-l10n-ru, iceweasel-l10n-sk, iceweasel-l10n-sl, iceweasel-l10n-sv-se, iceweasel-l10n-tr, iceweasel-l10n-uk-ua, iceweasel-l10n-zh-cn, iceweasel-l10n-zh-tw, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inkscape, inorwegian, iportuguese, ispanish, java-gcj-compat, k3b, k3b-i18n, k3dsurf, kaffeine, kaffeine-mozilla, kalgebra, kalzium, kasteroids, katomic, kbabel, kbackgammon, kbattleship, kbear, kblackbox, kbounce, kbruch, kchart, kdissert, kdnssd, keduca, kernel-package, keuklid, kformula, kfouleggs, kgeo, kgeography, kgoldrunner, kgraph, khangman, kig, kino, kivio, kjumpingcube, klatin, klearnspelling, klettres, klickety, klogic, kmahjongg, kmidi, kmines, kmplot, kmultiply, knorskverbs, kolf, kolourpaint, konqueror-plugin-gnash, konquest, kooka, koshell, kpaint, kpat, kpercentage, kpoker, kppp, kreversi, ksame, kseg, kshisen, ksirtet, ksmiletris, ksnake, ksokoban, kspaceduel, kstars, ktouch, ktron, ktuberling, kugar, kuser, kverbos, kvoctrain, kworldclock, lacheck, libaudiofile0, libc-dev, libdvdcss2, libflashsupport, libfribidi0, libncurses5-dev, libnss-mdns, libogg0, libvorbis0, libvorbis0a, libxml1, lightspeed, lyx, make, mdns-scan, monopd, mozilla-plugin-gnash, mozilla-plugin-vlc, mozilla-thunderbird, mozilla-thunderbird-locale-ca, mozilla-thunderbird-locale-de, mozilla-thunderbird-locale-el, mozilla-thunderbird-locale-fr, mozilla-thunderbird-locale-it, mozilla-thunderbird-locale-nb, mozilla-thunderbird-locale-nn, mplayer, mutt, myspell-ca, myspell-da, myspell-de-at, myspell-de-ch, myspell-de-de, myspell-el-gr, myspell-en-gb, myspell-en-us, myspell-es, myspell-fi, myspell-fr, myspell-fr-gut, myspell-he, myspell-it, myspell-nb, myspell-nl, myspell-nn, myspell-pt-br, myspell-pt-pt, ncftp, netpbm, noteedit, ocrad, ogle-gui, openoffice.org, openoffice.org-filter-binfilter, openoffice.org-filter-mobiledev, openoffice.org-help-el, openoffice.org-help-en, openoffice.org-help-es, openoffice.org-help-fr, openoffice.org-help-ja, openoffice.org-help-nb, openoffice.org-help-nn, openoffice.org-help-sv, openoffice.org-hyphenation, openoffice.org-l10n-ca, openoffice.org-l10n-common, openoffice.org-l10n-de, openoffice.org-l10n-el, openoffice.org-l10n-en-us, openoffice.org-l10n-en-za, openoffice.org-l10n-es, openoffice.org-l10n-fr, openoffice.org-l10n-ja, openoffice.org-l10n-nb, openoffice.org-l10n-nl, openoffice.org-l10n-nn, openoffice.org-l10n-sv, openoffice.org-style-crystal, openoffice.org-style-default, openoffice.org-style-industrial, openoffice.org-thesaurus-en-us, planner, postgresql, postgresql-client, pppoeconf, qcad, qliss3d, quanta, quiteinsane, rdesktop, rsibreak, sane, sane-utils, scim-anthy, scim-canna, scim-prime, scim-skk, scim-tables-ja, scim-uim, screen, scribus, serpentine, smbclient, sodipodi, solfege, sql-ledger, stopmotion, subversion, swfdec-mozilla, tablix2, tetex-bin, tetex-brev, tetex-doc, tetex-extra, texlive, texlive-doc-base, texmacs, timidity-patches, totem, totem-mozilla, ttf-freefont, ttf-malayalam-fonts, ttf-mgopen, ttf-vlgothic, tuxmath, tuxpaint, tuxpaint-config, ucblogo, unifont, unzip, vgrabbj, vlc, wget, wine, wine-doc, wine-utils, workrave, xfonts-100dpi-transcoded, xfonts-75dpi-transcoded, xfonts-base-transcoded, xfs, xine, xine-dvdnav, xine-ui, xmms, xmms-arts, xmms-cdread, xmmsarts, xorg, xpdf, xpdf-japanese, xplanet, xsane, yacas, zip, zlib1g
Description: DebianEdu desktop applications, non-GNOME- and non-KDE-specific
 This metapackage depends on various office and desktop applications
 that are useful for teachers and their students.

Package: education-electronics
Architecture: any
Depends: education-tasks (= ${binary:Version})
Recommends: 
Suggests: eagle, electric, freehdl, gpsim, gpsim-lded, gpsim-logic, gtkwave, kicad, kicad-doc-de, kicad-doc-en, kicad-doc-es, kicad-doc-fr, ksimus, ksimus-boolean, ksimus-datarecorder, ksimus-floatingpoint, oregano, pcb, qucs, vipec, xcircuit
Description: DebianEdu electronics related applications
 This metapackage depends on various applications that can be used to
 teach electronics.
